/* Fonts from our style guide */
@font-face {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 700;
    src: local('Titillium Web Bold'), local('TitilliumWeb-Bold'), url(../fonts/TitilliumWeb-Bold.ttf);
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

@font-face {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 900;
    src: local('Titillium Web Black'), local('TitilliumWeb-Black'), url(../fonts/TitilliumWeb-Black.ttf);
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local('Roboto'), local('Roboto-Regular'), url(../fonts/Roboto-Regular.ttf);
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local('Roboto Bold'), local('Roboto-Bold'), url(../fonts/Roboto-Bold.ttf);
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

/* Elements */

body {
    font-family: 'Roboto', sans-serif;
}

h1,
h1 a {
    font-family: 'Titillium Web', sans-serif;
    font-weight: 900;
    color: #005760;
}

h2,
h2 a {
    font-family: 'Titillium Web', sans-serif;
    color: #4E87A0;
}

h3,
h3 a {
    font-family: 'Titillium Web', sans-serif;
    color: #5BC2E7;
}

h4,
h4 a {
    font-family: 'Titillium Web', sans-serif;
    color: #DE7C00;
}

/* Navbar */

.logo {
    padding-right: 2rem;
}

.navbar {
    padding-left: 0;
}

.navbar-nav > li.dropdown {
    cursor: pointer;
}

.navbar-nav > li > a {
    color: #005760 !important;
    font-family: 'Titillium Web', sans-serif;
    font-weight: bold;
}

@media (max-width: 992px) {
    .navbar-nav .nav-link {
        padding-left: 0.5rem;
    }
}

@media (min-width: 992px) {
    .navbar-nav > li {
        text-align: center;
    }

    .navbar-nav > li > a {
        width: 8rem;
        -webkit-transform: skew(-45deg);
        -moz-transform: skew(-45deg);
        transform: skew(-45deg);
    }

    .navbar-nav > li > a > span {
        -webkit-transform: skew(45deg);
        -moz-transform: skew(45deg);
        transform: skew(45deg);
        display: inline-block;
    }

    .navbar-nav .dropdown-toggle::after {
        -webkit-transform: skew(45deg);
        -moz-transform: skew(45deg);
        transform: skew(45deg);
    }

    .navbar-nav .dropdown-menu {
        left: -20px;
        min-width: 8rem;
    }
}

/* 4 different navbar styles to alternate through */
.navbar-nav > li:nth-child(4n+0) > a,
.navbar-nav > li:nth-child(4n+0) .dropdown-menu {
    background-color: #ECE81A;
}

.navbar-nav > li:nth-child(4n+1) > a,
.navbar-nav > li:nth-child(4n+1) .dropdown-menu {
    background-color: #DE7C00;
}

.navbar-nav > li:nth-child(4n+2) > a,
.navbar-nav > li:nth-child(4n+2) .dropdown-menu {
    background-color: #5BC2E7;
}

.navbar-nav > li:nth-child(4n+3) > a,
.navbar-nav > li:nth-child(4n+3) .dropdown-menu {
    background-color: #4E87A0;
    color: #e9e9e9 !important;
}

.navbar-nav > li:nth-child(4n+3) .dropdown-menu > a {
    color: #e9e9e9 !important;
}

/* nav menu highlight */
.navbar-nav > li:hover > a,
.navbar-nav > li.show > a,
.navbar-nav .dropdown-menu > a:hover {
    background-color: #005760;
}

.navbar-nav > li:hover > a,
.navbar-nav > li.show > a,
.navbar-nav .dropdown-menu > a:hover {
    color: #e9e9e9 !important;
}

/* Footer */

.footer {
    color: #9e9e9e;
    text-align: right;
    font-size: 10pt;
    padding-top: 60px;
    padding-bottom: 10px;
}

.footer a { color: #67799f; }

/* Card deck */
/* Based on styles from Bootstrap, but with different breakpoint */

@media (min-width: 768px) {
    .card-deck-md {
        display: flex;
        flex-flow: row wrap;
        margin-right: -15px;
        margin-left: -15px;
    }

    .card-deck-md .card {
        display: flex;
        flex: 1 0 0%;
        flex-direction: column;
        margin-right: 15px;
        margin-left: 15px;
    }
}

/* Main Headings */

.heading-motif {
    line-height: 120px;
}

.heading-motif::before {
    content: "";
    float: left;
    width: 50px;
    height: 120px;
    margin-right: 10px;
    background-repeat: no-repeat;
    background-size: auto 120px;
}

.heading-motif.beach::before {
    background-image: url(../img/illustrations/beach.svg);
}

.heading-motif.building1::before {
    background-image: url(../img/illustrations/building1.svg);
}

.heading-motif.centralpark::before {
    background-image: url(../img/illustrations/centralpark.svg);
}

.heading-motif.qvb::before {
    background-image: url(../img/illustrations/qvb.svg);
}

.heading-motif.tower::before {
    background-image: url(../img/illustrations/tower.svg);
}

/* General */

img.profile-pic {
    border-radius: 50%;
}

.lca2018-banner-logo {
    max-height: 210px;
}

/* Maps */

.map-responsive {
    overflow: hidden;
    padding-bottom: 50%;
    position: relative;
    height: 0;
}

.map-responsive iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}